package org.jboss.fuse.qa.features;

import org.apache.felix.gogo.commands.Command;
import org.apache.karaf.features.FeaturesService;
import org.apache.karaf.shell.console.OsgiCommandSupport;

import java.util.Arrays;

@Command(scope = "features", name = "export", description = "Exports list of available features")
public class FeaturesExport extends OsgiCommandSupport {
	private FeaturesService featuresService;

	@Override
	protected Object doExecute() throws Exception {
		System.out.println("Executing Hello command");
		System.out.println(featuresService.getFeature("camel-core"));

		Arrays.asList(featuresService.listFeatures())
				.stream()
				.map(f -> f.getName())
				.sorted()
				.forEach(System.out::println);

		return null;
	}

	public FeaturesService getFeaturesService() {
		return featuresService;
	}

	public void setFeaturesService(FeaturesService featuresService) {
		this.featuresService = featuresService;
	}
}
